if (!IsModuleDev.toBoolean()) {
    apply plugin: 'com.android.application'
} else {
    apply plugin: 'com.android.library'
}
apply plugin: 'com.jakewharton.butterknife'
apply plugin: 'android-aspectjx'

android {
    buildToolsVersion rootProject.ext.gBuildToolsVersion
    compileSdkVersion rootProject.ext.gCompileSdkVersion
    defaultConfig {
        minSdkVersion rootProject.ext.gMinSdkVersion
        targetSdkVersion rootProject.ext.gCompileSdkVersion
        versionCode rootProject.ext.gVersionCode
        versionName rootProject.ext.gVersionName
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        javaCompileOptions {
            annotationProcessorOptions {
                arguments = [AROUTER_MODULE_NAME: project.getName()]
            }
        }
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}
dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.3.1'
    implementation 'com.google.android.material:material:1.2.1'
    implementation project(':baselib')
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    testImplementation 'junit:junit:4.+'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    //Arouter
    annotationProcessor "com.alibaba:arouter-compiler:$rootProject.ext.gRouterCompileVersion"
    //butterknife
    annotationProcessor "com.jakewharton:butterknife-compiler:$rootProject.ext.gButterKnifeVersion"


}